
; strings for display (used editor w/o tab)

MSGSGON
	DB	AXON		; quit any stall in progress
	DB	ACR,ALF
	DB	ACR,ALF,'mZ Z80 monitor 910902-2.00  ',ACR,ALF
	DB	'Copyright (c) 1985 -- 1991 Paul Newland, P.E.'
	DB	'  All Rights Reserved.',ACR,ALF
	IF	TNC2
	DB	'Customized for use on Tucson Amateur Packet Radio'
	DB	27H	; '
	DB	's TNC 2 and clones',ACR,ALF
	ENDIF
	IF	XTEST
	DB	'Customized for use on XTEST'
	DB	27H	; '
	DB	's Product',ACR,ALF
	ENDIF
	DB	'Diagnostic: 0x'
	DB	ANULL

LSKMSG0	; list stack message 0
	DB	ACR
	DB	'                     Stack Pointer'
	DB	ACR,ALF
	DB	'        lower        --- VVVV ----        higher'
	DB	ACR,ALF
	DB	'------------------------ '
	DB	ANULL
LSKMSG1	; list stack message 1
	DB	' --------------------------------------------'
	DB	ACR,ALF
	DB	ANULL

	; messages
NOPMSG	DB	ACR,ALF,'Invalid Command',ACR,ALF
	DB	'Enter "H" Command For Help Message',ACR,ALF
	DB	ANULL
ERRMSG	DB	ACR,ANL,'**** error ****',ACR,ANL,0
MSGARGE	DB	ACR,ALF,'Argument Error',ACR,ALF,ANULL
MPSMSG	DB	'passed	',ANULL
MERMSG	DB	'*** error at ',ANULL
EXPMSG	DB	' expected ',ANULL
GOTMSG	DB	' got ',ANULL
	IF	ROM
MSGPRMT	DB	'mZ-> ',ANULL
	ELSE
MSGPRMT	DB	'dv-> ',ANULL
	ENDIF

	; table	for register identification
XNL	DB	'ABCDEFHLPSXYIR'
XNLT	EQU	*
XPL	DB	'ABCDEFHL'
XPLT	EQU	*

DCPLAB	; list of labels for register dump
	DB	'      '
	DB	'A  '
	DB	'SZxHxPNC'
	DB	' I '
	DB	' B C '
	DB	' D E '
	DB	' H L  '
	DB	' IX  '
	DB	' IY  '
	DB	' SP  '
	DB	' PC '
	DB	' @PC'
	DB	' +1'
	DB	' +2'
	DB	' +3'
	DB	ACR,ANULL

HELPMSG	; text for help message
	DB	ACR,ALF
	DB	ACR,ALF
	DB	ACR,ALF
	DB	'                '
	DB	'MONITOR COMMANDS AND HELP FILE'
	DB	ACR,ALF
	DB	ACR,ALF
	DB	'Blast       Bx  (see manual)         '

	DB	'List stack  L                        '
	DB	ACR,ALF
	DB	'Checksum    C start end = + 1        '
	DB	'Move        M start end to           '
	DB	ACR,ALF
	DB	'Demonstrate Ax  (see manual)         '
	DB	'Next Inst   N (do one instruction)   '
	DB	ACR,ALF
	DB	'Display     D start end              '
	DB	'Output      O addr value             '
	DB	ACR,ALF
	DB	'Examine     X<'
	DB	AAPOS,'> <reg>               '
	DB	'RX Intel    R <offset>               '
	DB	ACR,ALF
	DB	'Find Bytes  F d0 <d1> <d2> ...       '
	DB	'Substitute  S addr                   '
	DB	ACR,ALF
	DB	'Go program  G<addr> <bp1> <bp2>      '
	DB	'Test mem    T start end (ESC exit)  '
	DB	ACR,ALF
	DB	'Help        H (print help file)      '
	DB	'UPVector    U addr (see manual)      '
	DB	ACR,ALF
	DB	'Hexmath     Y arg0 arg1 (= + -)      '
	DB	'Verify      V start end with         '
	DB	ACR,ALF
	DB	'Input       I <address>              '
	DB	'ZNext Inst  Z (no break in calls)    '
	DB	ACR,ALF
	DB	'Jam bytes   J start end value        '
	DB	ACR,ALF
	DB	ANULL

